env.info( '*** Mission 002: Retake Zomleti *** ' )

MissionControl={}

do
  function MissionControl.StartMission() --Bravo Team Extration Outpost 27B
      local MissionBriefing = [===[
  Mission Information: Bravo Team Extraction from OutPost 27B
  Pilot CallSign: EalgeOne
  ]===]
  
      local BTRDestoryed = false
      local EnementGroundUnitsDestoryed = false
      local MissionSuccessful = false
      firsttakeoff = false
      
      InbountHelo1Spawn = SPAWN:New('[RZ]InbountHelo1')
      
      EnemyTroop2Spawn = SPAWN:New('[TZ]EnemyTroop2')

      local HueyTransportTroops1 = GROUP:FindByName("[RZ]TroopGroup1Hollywood")
      
      local CH47DTransport = GROUP:FindByName("CH47DInbound")
          
      local removeInboundtransports = SCHEDULER:New( nil,
      function()
        HueyTransportTroops1:Destroy()
        TheFrat.PlaySoundTAll("radioscratch.ogg")
        MESSAGE:New([===[
Troops have boarded transport and will depart for 
Zomlibi shortly after you, that BRT-80 must be 
destoryed before the troops arrive.
]===],15,CommandCenterName):ToAll()
      end, {}, 100)
 
      --events
      local BTRUnit = GROUP:FindByName('[RZ]BTR80')   
      
      BTRUnit:HandleEvent( EVENTS.Dead )
      function BTRUnit:OnEventDead(EventData)
        
        if BTRUnit:GetSize() == 1 and BTRDestoryed == false then
        BTRDestoryed = true
        CH47DTransport:Destroy()
        TheFrat.SpawnCH47D()
        TheFrat.PlaySoundTAll("chirp.ogg")
        MESSAGE:New("EagleTwo, BTR Destoyed, LZ is clear.",10,"EagleOne"):ToAll()
            SCHEDULER:New( nil,
              function()
                TheFrat.PlaySoundTAll("chirp.ogg")
                MESSAGE:New("Copy EagleOne - Cover the LZ till our arrival",5,"EagleTwo"):ToAll()
                    
                    --
                    SCHEDULER:New( nil, 
                      function()
                        TheFrat.PlaySoundTAll("radioscratch.ogg")
                        MESSAGE:New("ETA 1 min to LZ - Ready Troops!",15,'Major Freeman'):ToAll()
                      end, {}, 20 
                      )
                
              end, {}, 6)
        end
       
      end
      local EnemyGroundUnits = GROUP:FindByName('[TZ]EnemyTroops')
      EnemyGroundUnits:HandleEvent( EVENTS.Dead )
      function EnemyGroundUnits:OnEventDead(EventData)
        
        if EnemyGroundUnits:GetSize() == 1 and EnementGroundUnitsDestoryed == false then
        EnementGroundUnitsDestoryed = true
        MissionSuccessful = true
        TheFrat.PlaySoundTAll("chirp.ogg")
        MESSAGE:New("Good job Soldiers! The enemey has been defeated! RTB for debriefing.",20,CommandCenterName):ToAll()
        
        end
       
      end
      
      PlayerGroup:HandleEvent(EVENTS.Takeoff)
      function PlayerGroup:OnEventTakeoff(EventData)
          if (PlayerGroup:IsCompletelyInZone(ZONE:New( "FARPHollyWoodZone" )) and firsttakeoff == false) then
          firsttakeoff = true
                SCHEDULER:New( nil,
                  function()
                    TheFrat.PlaySoundTAll("radioscratch.ogg")
                    MESSAGE:New("*CH-47D Transport Inbound to Zomloti - will hold at WP 2 until LZ is clear.*",10):ToAll()
                  end, {}, 100)
          end
      
      end
            
      PlayerGroup:HandleEvent(EVENTS.Land)
      function PlayerGroup:OnEventLand(EventData)
      
          --landing at LZ
        if (PlayerGroup:IsCompletelyInZone(ZONE:New( "FARPHollyWoodZone" )) and MissionSuccessful == true) then
        
        SCHEDULER:New( nil,
                function()
                
               TheFrat.PlaySoundTAll("airline_cabin.ogg")
                MESSAGE:New([===[
-= Mission Successful =-
Great Job! The enemy insurgants were
either killed or they fled the city.

Rejoice! Zomlibi has been Liberated! 
]===],35,CommandCenterName):ToAll()
  
                end, {}, 4)
        end
        
        --check if mission failed
        TheFrat.MissioinFailed()
                   
      end
      

  end
end

SCHEDULER:New( nil,
      function()
        TheFrat.PlaySoundTAll("airline_cabin.ogg")
        MESSAGE:New("FARP Hollywood 002: Retaking Zomleti - Loaded",8):ToAll()
      end, {}, 20)
      
env.info( '*** Mission Loaded*** ' )
