BASE:E( "The Fraternity Sim - Farp Hollywood Ver 1.0")


--Functions
do
  env.info( '*** Loading Functions*** ' )

  --The Fraternity Sim Main Constructor
  TheFrat={}

  --Verify if Valid Client for game
  function TheFrat.ClientInTable (tab, val)
    for index, value in ipairs(tab) do
      if value == val then
        return true
      end
    end

    return false
  end

  --play SoundFile to User Group
  function TheFrat.PlaySoundToGroup(soundfile,group)
    local PlayAudioFile = USERSOUND:New( soundfile )
    PlayAudioFile:ToGroup(group)
  end

  --play SoundFile to All Users
  function TheFrat.PlaySoundTAll(soundfile)
    local PlayToAll = USERSOUND:New( soundfile )
    PlayToAll:ToAll()
  end

  -- Select random item from table
  function TheFrat.randomchoice(t) --Selects a random item from a table
    local keys = {}
    for key, value in pairs(t) do
      keys[#keys+1] = key --Store keys in another table
    end
    index = keys[math.random(1, #keys)]
    return t[index]
  end

  --Count number of items within table
  function TheFrat.tablelength(T)
    local count = 0
    for _ in pairs(T) do count = count + 1 end
    return count
  end
 
  function TheFrat.boom(group)
    --MESSAGE:New("Boom!", 5):ToAll()
    boom1pos = group:GetPointVec2()
    pos = POINT_VEC2:New( boom1pos:GetLat(), boom1pos:GetLon() )
    trigger.action.explosion(pos, 100)
    trigger.action.explosion(pos, 100)
    trigger.action.explosion(pos, 100)
    trigger.action.explosion(pos, 100)
    trigger.action.explosion(pos, 100)
  end

  --The Fraternity Welcome Message
  function TheFrat.welcome_message(pilotname,group)
    --env.info("")
    SCHEDULER:New( nil,
      function()
        MESSAGE:New(pilotname .. ", Welcome To The Fraternity. Be sure to visit us at thefraternitysim.com", 20,"GameMaster" ):ToGroup(group)
        TheFrat.PlaySoundToGroup("TheFraternitySim.ogg",group)
      end, {}, 2
    )

  end
  
  function TheFrat.chatMessage(message,show_time,delayTimer)
    SCHEDULER:New( nil,
    function()
    trigger.action.outSound("chirp.ogg")
    MESSAGE:New(message, show_time):ToAll()
    end, {}, delayTimer)
  end
  
  function TheFrat.SpawnCH47D()
      local ateamdefeat = false
      local bteamdefeat = false
      local troopgroup1 = SPAWN:New('[TZ]TroopGroup1')
      local troopgroup2 = SPAWN:New('[TZ]TroopGroup2')
      
          InbountHelo1Spawn:Spawn()

      local timer = SCHEDULER:New( nil,
      
      function()
      HueyTransportInbound1 = GROUP:FindByName("[RZ]InbountHelo1#001")
                  --incoming transport eta 1min
      HueyTransportTroopsETA1Min= false
      HueyTransportTroopsETA1MinCheck = SCHEDULER:New( nil,
      function ()
            if(HueyTransportInbound1:IsCompletelyInZone(ZONE:New("ETA1Min"))) and HueyTransportTroopsETA1Min == false then
            HueyTransportTroopsETA1Min = true
              --TheFrat.PlaySoundTAll("radioscratch.ogg")
              --MESSAGE:New("ETA 1 min to LZ - Ready Troops!",15,'Major Freeman'):ToAll()
            end
      end, {}, 3,1)
      
      HueyTransportInbound1:HandleEvent(EVENTS.Land)
      function HueyTransportInbound1:OnEventLand(EventData)
      
          --landing at LZ
        if (HueyTransportInbound1:IsCompletelyInZone(ZONE:New( "[RZ]LZ" ))) then
          TheFrat.PlaySoundTAll("radioscratch.ogg")
          MESSAGE:New("Troops Out!",5,"Major Freeman"):ToAll()
          --TLOZ_InfratryGroup1_Spawn:Spawn() [TZ]TroopGroup1
          troopgroup1:Spawn()
          troopgroup2:Spawn()
          Hueytroopgroup1 = GROUP:FindByName("[TZ]TroopGroup1#001")
          Hueytroopgroup2 = GROUP:FindByName("[TZ]TroopGroup2#001")
          
          EnemyTroop2Spawn:Spawn()
          SCHEDULER:New( nil,
          function()
            trigger.action.outSound("chirp.ogg")
            MESSAGE:New("EagleOne, Provide CAS and lets clean these sons of bitches out!", 12, "Srgnt Sanders" ):ToAll()
            TheFrat.Hueytroopgroup()
          end, {}, 5) 
          
        end    
      end

      end, {}, 2) --end local timer
      
  end
  
  function TheFrat.Hueytroopgroup()
              Hueytroopgroup1:HandleEvent(EVENTS.Dead)
        function Hueytroopgroup1:OnEventDead(EventData)
          if Hueytroopgroup1:GetSize() == 1 then
          ateamdefeat = true
                TheFrat.PlaySoundTAll("radioscratch.ogg")
              MESSAGE:New("A Team have been defeated.", 8, CommandCenterName ):ToAll()
              TheFrat.SquadDead()
          end
        
        end
        
        Hueytroopgroup2:HandleEvent(EVENTS.Dead)
        function Hueytroopgroup2:OnEventDead(EventData)
          if Hueytroopgroup2:GetSize() == 1 then
          bteamdefeat = true
          TheFrat.PlaySoundTAll("radioscratch.ogg")
              MESSAGE:New("b Team have been defeated.", 8, CommandCenterName ):ToAll()
              TheFrat.SquadDead()
          end
        end
  end
  
  function TheFrat.SquadDead()
  
    if ateamdefeat == true and bteamdefeat == true then
    TheFrat.PlaySoundTAll("airline_cabin.ogg")
          MESSAGE:New([===[
  -= Mission Failed =-
  
  Both Team A & B were killed by the
  enemy. Insurgants remain in the town
  of Zomlibi. 
    
  The insurgants have won this battle,
  but the war is far from over... 
  ]===],40,CommandCenterName):ToAll()
    end
  
  end
  
  function TheFrat.MissioinFailed()
  
            local timer = SCHEDULER:New( nil,
                function()
                
                    if (PlayerGroup:IsCompletelyInZone(ZONE:New( "FARPHollyWoodZone" )) and MissionSuccessful == false) then
       local timer = SCHEDULER:New( nil,
          function()
          
         TheFrat.PlaySoundTAll("airline_cabin.ogg")
          MESSAGE:New([===[
  -= Mission Failed =-
  
  Enemy insurgants remain in the town
  of Zomlibi. 
    
  The insurgants have won this battle,
  but the war is far from over... 
  ]===],40,CommandCenterName):ToAll()
  
          end, {}, 4)
    end
                
                end, {}, 500) 
  end

  env.info( '*** Functions Loaded *** ' )
  --**UNCOMMENT BELOW WHEN YOU MOVE OVER TO common.lua FILE
  --return TheFrat
end

--Game Settings
do
  CommandCenterName = "HQ"
  PlayerGroup = ""
end
--end Game Settings

AvalibleClients = {
  "[FHW]Huey"
}

--FARP Operations

do --
  PlayerGroupCollect = SET_CLIENT:New():FilterCoalitions("blue"):FilterPrefixes("[FHW]"):FilterStart()
  
  PlayerGroupCollect:ForEachClient(
    function( MooseClient )
      --Set each clients playergroup
      MooseClient:SetState( MooseClient, "PlayerGroup", MooseClient:GetClientGroupName() )
    end
  )
  
  PlayerGroupCollect:HandleEvent(EVENTS.Birth)
  function PlayerGroupCollect:OnEventBirth(EventData)
  
    --Verify if Valid Client/Single Player
    if TheFrat.ClientInTable(AvalibleClients,EventData.IniDCSGroupName) == true then
    
       PlayerGroup = GROUP:FindByName(EventData.IniDCSGroupName)
       
       local ShowWelcomeMessage = SCHEDULER:New( nil,
        function()
        local username
          if(string.find(EventData.IniPlayerName,'New callsign')) ~= nil then
             username = '[Pilot]' --single player user
          end
          if(string.find(EventData.IniPlayerName,'New callsign')) == nil then
             username = EventData.IniPlayerName --client users
          end
          TheFrat.welcome_message(username,GROUP:FindByName(EventData.IniDCSGroupName))
          --start mission scripts
          SCHEDULER:New( nil,
            function()
              MissionControl.StartMission()
            end, {}, 15)
        end, {}, 5
        )
    end
  end
end

BASE:E( "Farp Hollywood Loaded!")
BASE:E( "Visit Our Website at")
BASE:E( "thefraternitysim.com")
BASE:E( "For additional missons and campaigns")